/***************************************************************************
                            QT Game -  description
                             -------------------
    begin                : December 2001
    copyright            : (C) 2001 by M. Heni
    email                :  martin1@heni-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KCONFIG_H
#define KCONFIG_H

#include <qpe/config.h>
 // #include "mconfig.h"
#include <qstring.h>
#include <qstringlist.h>
#include <qvaluelist.h>
#include <qpoint.h>
#include <qmap.h>

/**
  *@author Martin Heni
  */


class KConfig : public Config
{
public: 
	KConfig(QString file,Domain d=File);
	~KConfig();
  bool hasGroup(QString name);
  QPoint readPointEntry(QString name,QPoint *p);
  QValueList<int> readIntListEntry(QString name);
  double readDoubleNumEntry(QString name,double d);
  QStringList readListEntry(QString name);


};

#endif
